Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046178
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performancemajoralways2021-03-30 07:312021-04-06 14:26
ReporterjetxarriView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in VersionPR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionPR20Q3.4SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046178: Avoid trying to find the general ledger configuration if it is not configured in any organization

DescriptionWhen the ERP is being used with Web POS the accounting of the system is not configured, however in each login the system tries to find general ledger configuration to set in the session
Steps To ReproduceDo a login
Proposed SolutionAttached file
TagsNOR
Attached Filesdiff file icon patch.diff [^] (3,881 bytes) 2021-03-30 07:31 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046177 feedbackjetxarri Avoid ordering preferences by id because it only adds time to the statement execution 
related to defect 0046217 newplatform Organization entity and OBCriteria.setFilterOnReadableOrganization(true) won't work 
blocks defect 0046176 feedbackjetxarri Create an index in ad_preference table to execute read statements faster 

-  Notes
(0127091)
hgbot (developer)
2021-04-05 20:03

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/342 [^]
(0127109)
hgbot (developer)
2021-04-06 14:26

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/342 [^]
(0127110)
hgbot (developer)
2021-04-06 14:26

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 3694254d523396db9f7baee17b34c1abfc25165a
Author: Mark <markmm82@gmail.com>
Date: 2021-04-06T12:20:10+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/3694254d523396db9f7baee17b34c1abfc25165a [^]

Fixes ISSUE-46178: Ask if exists an org with GL configured instead of iterate all the existing ones
when filling session

Before trying to iterate throught all the organizations checking general ledger configuration, verify that
any of them has the configuration

---
M src/org/openbravo/base/secureApp/LoginUtils.java
---
(0127111)
hgbot (developer)
2021-04-06 14:26

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 674e5f969d4d69e340613312e24fcabab1c79a7e
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 2021-04-06T12:20:10+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/674e5f969d4d69e340613312e24fcabab1c79a7e [^]

Related to ISSUE-46178: Code review improvements

Removed setFilterOnReadableOrganization(false) because it has no sense. Note that
just after this, the flow gets the list of editable organizations using:
  Utility.getContext(conn, vars, "#User_Org", "LoginHandler")
and it iterates over them (and their parent tree) to get the ledger configuration.

The ledger configuration must be in a readable organization (either in an editable
organization or in a parent editable/readable organization), so the filter by
readable organization should be in.

Note that ideally we should filter by the editable organizations and their parents,
which is what later on is going to be used, however the purpose of this fix is to
avoid performance penalty, so having a fast (although inaccurate query in some corner
cases) is a good approach.

Apart from that the method has been renamed to be more clear.

---
M src/org/openbravo/base/secureApp/LoginUtils.java
---

- Issue History
Date Modified Username Field Change
2021-03-30 07:31 jetxarri New Issue
2021-03-30 07:31 jetxarri Assigned To => platform
2021-03-30 07:31 jetxarri File Added: patch.diff
2021-03-30 07:31 jetxarri Modules => Core
2021-03-30 07:31 jetxarri Triggers an Emergency Pack => No
2021-03-30 17:31 rafaroda Tag Attached: NOR
2021-03-30 17:32 rafaroda Resolution time => 1618264800
2021-03-30 17:33 rafaroda Relationship added related to 0046177
2021-03-30 17:33 rafaroda Relationship added blocks 0046176
2021-03-31 10:35 alostale Assigned To platform => Triage Finance
2021-03-31 12:39 rafaroda Severity minor => major
2021-04-01 09:09 vmromanos Assigned To Triage Finance => markmm82
2021-04-01 18:30 markmm82 Status new => scheduled
2021-04-05 20:03 hgbot Note Added: 0127091
2021-04-06 14:24 vmromanos Relationship added related to 0046217
2021-04-06 14:26 hgbot Note Added: 0127109
2021-04-06 14:26 hgbot Resolution open => fixed
2021-04-06 14:26 hgbot Status scheduled => closed
2021-04-06 14:26 hgbot Fixed in Version => PR21Q3
2021-04-06 14:26 hgbot Note Added: 0127110
2021-04-06 14:26 hgbot Note Added: 0127111


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker